%define		subver	b1
%define		rel		2
Summary:	Patchsets for CVS
Summary(pl.UTF-8):	Zestawy łatek dla CVS
Name:		cvsps
Version:	2.2
Release:	0.%{subver}.%{rel}
License:	GPL
Group:		Development/Version Control
Source0:	http://www.cobite.com/cvsps/%{name}-%{version}%{subver}.tar.gz
# Source0-md5:	997580e8e283034995b9209076858c68
# Fixes made by git people, see:
# http://ydirson.free.fr/en/software/scm/cvsps.html
Patch0:		%{name}-fixes.patch
Patch1:		commitid.patch
URL:		http://www.cobite.com/cvsps/
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CVSps is a program for generating 'patchset' information from a CVS
repository. A patchset in this case is defined as a set of changes
made to a collection of files, and all committed at the same time
(using a single 'cvs commit' command). This information is valuable to
seeing the big picture of the evolution of a cvs project. While cvs
tracks revision information, it is often difficult to see what changes
were committed 'atomically' to the repository.

%description -l pl.UTF-8
CVSps jest programem do generowania informacji o 'zestawie łatek'
(ang. patchset) z repozytorium CVS. Patchset w tym przypadku jest
zdefiniowany jako zbiór zmian dokonanych na kolekcji plików wysłanych
w tym samym momencie (za pomocą jednego wywołania 'cvs commit'). Ta
informacja jest przydatna do śledzenia procesu rozwoju projektu w CVS.
Choć CVS śledzi informacje o rewizjach, obejrzenie zmian wysłanych
'atomowo' do repozytorium nie jest rzeczą łatwą.

%prep
%setup -q -n %{name}-%{version}%{subver}
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p cvsps $RPM_BUILD_ROOT%{_bindir}
cp -a cvsps.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Sat Feb 05 2011 Elan Ruusamäe <glen@pld-linux.org> 6a2bc39
- add commitid patch from opensuse; rel 2

* Sat Feb 05 2011 Elan Ruusamäe <glen@pld-linux.org> d022ca1
extracted from opensuse src.rpm:
http://download.opensuse.org/factory/repo/src-oss/suse/src/cvsps-2.1-169.7.src.rpm

* Mon Jan 31 2011 Elan Ruusamäe <glen@pld-linux.org> 2f1053d
- up to 2.2b1:
  - add a new line item in the PatchSet output which indicates which
    branches fork off from after this PatchSet.  This is actually
    the only way to correctly indicate the branching.  The 'Ancestor
    Branch' thing is actually broken by design, and is now deprecated.
  - sometimes cvs log has a timezone in it (from Ludwig Nussel)
  - better buffer size handling

* Mon Jan 31 2011 Elan Ruusamäe <glen@pld-linux.org> b08e9b5
- release 5

* Mon Jan 31 2011 Elan Ruusamäe <glen@pld-linux.org> 36d7458
- up to 1a680d69dd39346bdf3674c6cb2460e11e15c7d2

* Tue Apr 28 2009 Elan Ruusamäe <glen@pld-linux.org> abaeea4
- release 4

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> 744d4dd
- release 3

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> f4e4260
- needed CFLAGS apparently no more in CFLAGS

* Sat Nov 10 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 9a5d5d9
- rel 2; add some fixes made by git people

* Sat Nov 10 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> e37b3f3
- git people fixes

* Wed Feb 14 2007 aredridel <aredridel@pld-linux.org> b42e0c8
- 2.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 9f81954
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d06a37e
- converted to UTF-8

* Tue May 31 2005 zbyniu <zbyniu@pld-linux.org> 70fc64a
- BR: zlib-devel

* Wed Nov 17 2004 Jakub Bogusz <qboosh@pld-linux.org> f758107
- unification

* Wed Nov 10 2004 Adam Gołębiowski <adamg@pld-linux.org> 34b1781
- proper version (we do not add rc1 in Version, but keep these in Release)
- pl summary/description
- pass CC and CFLAGS
- added %doc (CHANGELOG and README)

* Wed Nov 10 2004 aredridel <aredridel@pld-linux.org> 5bfd2d7
- added

